
Codit Menu Tools offers nothing by itself. It only creates a class that can be use in hook_updates or other scripts to manipulate menus such as

* Adding a menu item in a certain spot.
* Organizing the order of existing menu items to match. (coming soon)

## Features
Use cases for this module are for developers to more easily and smoothly manage menu items within a menu.

## Post-Installation
There is no configuration. Install it, see examples for how to do things in update hooks.

## Additional Requirements
Drupal core's menu_link_content is the only thing needed.

## Recommended modules/libraries
None. This module does not build upon or add features to any other module. It simply allows developers to not have to create custom menu item manipulation code.

## Similar projects
There is currently nothing similar.

## Examples

Example: Adding a node to a menu.
```php
    use Drupal\codit_menu_tools\MenuInsert;

    $node->save();

    $menuManipulator = new MenuInsert($system_info['menu_link_name']);
    $menu_item_title = "Some title";
    $$menu_item_destination = "entity:node/{$node->id()}";
    $menu_item_description = 'I am the description';
    $menu_item_enabled = TRUE;
    $parent_title = 'News and Events';
    $adjacent_sibling = 'Stories';
    $place_below = TRUE;
    // This will place the enabled menu item under the parent of "News and Events" and just beneath the
    // sibling "Stories".
    $menuManipulator->addMenuItem($menu_item_title, $$menu_item_destination, $menu_item_description, $menu_item_enabled, $parent_title, $adjacent_sibling, $place_below);
```
