<?php

namespace Drupal\codit_menu_tools;

/**
 * Interface for MenuInsert.
 */
interface MenuInsertInterface extends MenuManipulatorBaseInterface {

  /**
   * Adds menu item to menu relative to parent and or sibling.
   *
   * @param string $item_title
   *   (required) The title of the menu item.
   * @param string $item_destination
   *   (required) The destination of the menu item.
   * @param string $item_description
   *   The description of the menu item.
   * @param bool $enabled
   *   TRUE to enable or FALSE to disable the menu item.
   * @param string $parent_title
   *   The title of the parent to lookup.
   * @param string $sibling_title
   *   The title of the nearest sibling.
   * @param bool $below
   *   TRUE to place the new menu item below the sibling, FALSE to place above.
   *
   * @return int
   *   The value SAVED_NEW since it is a menu item add.
   */
  public function addMenuItem(
    string $item_title,
    string $item_destination,
    string $item_description = '',
    bool $enabled = TRUE,
    string $parent_title = '',
    string $sibling_title = '',
    bool $below = TRUE
  );

}
