<?php

namespace Drupal\codit_menu_tools;

/**
 * Interface for MenuMainpulatorBase.
 */
interface MenuManipulatorBaseInterface {

  /**
   * Instantiates the menuTree and assigns the menuName to the class.
   *
   * Can be used to get a new menuTree or retrieve the one already loaded.
   *
   * @param string $menu_name
   *   The machine name of the menu tree to load.
   *
   * @return \Drupal\Core\Menu\MenuLinkTreeElement[]
   *   The menu tree that was loaded.
   *
   * @throws \Exception
   *   If the menu does not exist.
   */
  public function getMenuTree(string $menu_name = '');

  /**
   * Gets information about menu item by name.
   *
   * @param string $menu_item_title
   *   The title of the menu item to lookup.
   * @param string $parent_id
   *   The optional id of the parent to help identify the child.
   *
   * @return array
   *   An array containing mid, id, weight and parent of the menu item.
   */
  public function findMenuItemDetailsByName(string $menu_item_title = '', $parent_id = '');

}
